Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612766 - SELinux is preventing /usr/bin/python "read write" access on /var/cache/PackageKit/groups.sqlite.
SELinux is preventing /usr/bin/python "read write" access on /var/cache/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:5e3fc1f46ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 20:06 EDT by Carl G.
Modified: 2015-04-09 17:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 17:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl G. 2010-07-08 20:06:21 EDT
Summary:

SELinux is preventing /usr/bin/python "read write" access on
/var/cache/PackageKit/groups.sqlite.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by yumBackend.py. It is not expected that this
access is required by yumBackend.py and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_t:s0
Target Objects                /var/cache/PackageKit/groups.sqlite [ file ]
Source                        yumBackend.py
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.5-17.fc14
Target RPM Packages           PackageKit-0.6.6-1.fc14
Policy RPM                    selinux-policy-3.8.6-1.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-0.27.rc4.git0.fc14.x86_64
                              #1 SMP Wed Jul 7 07:04:53 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Thu 08 Jul 2010 08:04:39 PM EDT
Last Seen                     Thu 08 Jul 2010 08:04:39 PM EDT
Local ID                      1ce5c865-2208-4344-a8a7-333a9948051c
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278633879.493:39): avc:  denied  { read write } for  pid=2461 comm="yumBackend.py" name="groups.sqlite" dev=dm-1 ino=1052285 scontext=system_u:system_r:initrc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1278633879.493:39): avc:  denied  { open } for  pid=2461 comm="yumBackend.py" name="groups.sqlite" dev=dm-1 ino=1052285 scontext=system_u:system_r:initrc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1278633879.493:39): arch=c000003e syscall=2 success=yes exit=5 a0=183bf20 a1=42 a2=1a4 a3=1a4 items=0 ppid=2457 pid=2461 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="yumBackend.py" exe="/usr/bin/python" subj=system_u:system_r:initrc_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,yumBackend.py,initrc_t,var_t,file,read,write
audit2allow suggests:

#============= initrc_t ==============
#!!!! The source type 'initrc_t' can write to a 'file' of the following types:
# lockfile, etc_mail_t, sysctl_type, device_t, locale_t, fonts_t, sysfs_t, initrc_state_t, postgresql_db_t, alsa_etc_rw_t, cupsd_log_t, gconf_etc_t, udev_rules_t, dhcp_etc_t, var_spool_t, udev_tbl_t, puppet_tmp_t, var_lib_t, samba_etc_t, virt_cache_t, ld_so_cache_t, dhcpc_state_t, exports_t, squid_log_t, lastlog_t, svc_svc_t, var_log_t, initrc_var_run_t, ipsec_var_run_t, mdadm_var_run_t, net_conf_t, quota_flag_t, binfmt_misc_fs_t, var_lib_nfs_t, etc_runtime_t, udev_var_run_t, initrc_tmp_t, cgroup_t, boot_t, cert_t, mnt_t, named_conf_t, system_dbusd_var_lib_t, wtmp_t

allow initrc_t var_t:file { read write open };
Comment 1 Miroslav Grepl 2010-07-12 05:14:00 EDT
Carl, 
please execute

chcon -t rpm_exec_t /usr/libexec/packagekitd


I will fix the label.
Comment 2 Daniel Walsh 2010-07-12 17:15:07 EDT
Fixed in selinux-policy-3.8.6-3.fc14.x86_64

Note You need to log in before you can comment on or make changes to this bug.